Get a Reddit import job

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /reddit/{caseId}/import/{importId}

Returns one Reddit import job for the case, including its status and error message. Returns 404 if the job does not belong to the case.

Path parameters

  • caseId string Required
  • importId string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • case object | null Required

        Not loaded by any route, so always null.

      • extractionCode object | null Required

        Not loaded by any route, so always null.

      • file object | null Required

        Not loaded by any route, so always null.

      • createdBy object | null Required

        Not loaded by any route, so always null.

      • redditUserProvider object | null Required

        Not loaded by any route, so always null.

      • status string Required

        Values are not_started, in_progress, completed, or failed.

      • startedAt string(date-time) | null Required
      • completedAt string(date-time) | null Required
      • failedAt string(date-time) | null Required
      • message string | null Required
      • stats object | null Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /reddit/{caseId}/import/{importId}
curl \
 --request GET 'http://api.example.com/reddit/{caseId}/import/{importId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "case": {},
    "extractionCode": {},
    "file": {},
    "createdBy": {},
    "redditUserProvider": {},
    "status": "not_started",
    "startedAt": "2026-01-15T14:25:00.000Z",
    "completedAt": "2026-01-15T14:30:00.000Z",
    "failedAt": "2026-05-04T09:42:00Z",
    "message": "Import failed",
    "stats": {
      "posts": 42,
      "comments": 310,
      "messages": 18,
      "chatMessages": 95,
      "votes": 1200
    }
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}